/*
 * GameObject.h
 *
 *  Created on: Feb 11, 2020
 *      Author: ayoungblood
 */

#ifndef SRC_GAMEOBJECT_H_
#define SRC_GAMEOBJECT_H_

#include "../game/Game.hpp"

class GameObject
{

public:
	GameObject(const char* texturesheet, int x, int y);
	~GameObject();

	void Update();
	void Render();

private:
	int xpos;
	int ypos;

	SDL_Texture* objTexture;
	SDL_Rect srcRect, destRect;


};


#endif /* SRC_GAMEOBJECT_H_ */
